Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DPOTRI

    java.lang.Object
      org.netlib.lapack.DPOTRI

    public class DPOTRI

extends java.lang.Object

    DPOTRI is a simplified interface to the JLAPACK routine dpotri.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPOTRI computes the inverse of a real symmetric positive definite
     *  matrix A using the Cholesky factorization A = U**T*U or A = L*L**T
     *  computed by DPOTRF.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the triangular factor U or L from the Cholesky
     *          factorization A = U**T*U or A = L*L**T, as computed by
     *          DPOTRF.
     *          On exit, the upper or lower triangle of the (symmetric)
     *          inverse of A, overwriting the input factor U or L.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  if INFO = i, the (i,i) element of the factor U or L is

     *                zero, and the inverse could not be computed.
     *
     *  =====================================================================
     *
     *     .. External Functions ..

Constructor Summary
`DPOTRI()`

Method Summary
`static void` | `DPOTRI(java.lang.String uplo, int n, double[][] a, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPOTRI

    public DPOTRI()

Method Detail

### DPOTRI

    public static void DPOTRI(java.lang.String uplo,
                              int n,
                              double[][] a,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD